This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### XML
Examples |
    // The following short XML file called "mammals.xml" is parsed
    // in the code below. It must be in the project's "data" folder.
    //
    // <?xml version="1.0"?>
    // <mammals>
    //   <animal id="0" species="Capra hircus">Goat</animal>
    //   <animal id="1" species="Panthera pardus">Leopard</animal>
    //   <animal id="2" species="Equus zebra">Zebra</animal>
    // </mammals>

    XML xml;

    void setup() {
      xml = loadXML("mammals.xml");
      XML[] children = xml.getChildren("animal");

      for (int i = 0; i < children.length; i++) {
        int id = children[i].getInt("id");
        String coloring = children[i].getString("species");
        String name = children[i].getContent();
        println(id + ", " + coloring + ", " + name);
      }
    }

    // Sketch prints:
    // 0, Capra hircus, Goat
    // 1, Panthera pardus, Leopard
    // 2, Equus zebra, Zebra
Description | XML is a representation of an XML object, able to parse XML code. Use loadXML() to load external XML files and create XML objects. Only files encoded as UTF-8 (or plain ASCII) are parsed properly; the encoding parameter inside XML files is ignored.
Methods |
getParent() | Gets a copy of the element's parent
getName() | Gets the element's full name
setName() | Sets the element's name
hasChildren() | Checks whether or not an element has any children
listChildren() | Returns the names of all children as an array
getChildren() | Returns an array containing all child elements
getChild() | Returns the child element with the specified index value or path
addChild() | Appends a new child to the element
removeChild() | Removes the specified child
getAttributeCount() | Counts the specified element's number of attributes
listAttributes() | Returns a list of names of all attributes as an array
hasAttribute() | Checks whether or not an element has the specified attribute
getString() | Gets the content of an attribute as a String
setString() | Sets the content of an attribute as a String
getInt() | Gets the content of an attribute as an int
setInt() | Sets the content of an attribute as an int
getFloat() | Gets the content of an attribute as a float
setFloat() | Sets the content of an attribute as a float
getContent() | Gets the content of an element
getIntContent() | Gets the content of an element as an int
getFloatContent() | Gets the content of an element as a float
setContent() | Sets the content of an element
format() | Formats XML data as a String
toString() | Gets XML data as a String using default formatting
Constructor |
    XML(name)
Parameters |
name | String: creates a node with this name
Related | loadXML() parseXML() saveXML()

Updated on October 26, 2013 08:58:34pm PDT